Name:          kryo
Version:       2.22
Release:       3%{?dist}
Summary:       Object graph serialization framework for Java
# ASL: src/com/esotericsoftware/kryo/util/IdentityMap.java src/com/esotericsoftware/kryo/util/IntMap.java
License:       ASL 2.0 and BSD
Url:           http://code.google.com/p/kryo/
# http://kryo.googlecode.com/svn/tags/kryo-2.22/
Source0:       http://kryo.googlecode.com/files/%{name}-%{version}.zip
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: mvn(com.esotericsoftware.minlog:minlog)
BuildRequires: mvn(com.esotericsoftware.reflectasm:reflectasm)
BuildRequires: mvn(org.objenesis:objenesis)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle

BuildArch:     noarch

%description
Kryo is a fast and efficient object graph serialization framework for Java.
The goals of the project are speed, efficiency, and an easy to use API.
The project is useful any time objects need to be persisted, whether to a
file, database, or over the network.

Kryo can also perform automatic deep and shallow copying/cloning.
This is direct copying from object to object, not object->bytes->object.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.class" -delete
find . -name "*.jar" -delete
rm -rf jars javadoc

mv java/* .
%pom_remove_plugin :maven-shade-plugin
%pom_remove_plugin :maven-bundle-plugin
%pom_add_plugin org.apache.felix:maven-bundle-plugin . "
<extensions>true</extensions>
<configuration>
<instructions>
  <Import-Package>sun.reflect;resolution:=optional,*</Import-Package>
  <Export-Package>com.esotericsoftware.kryo.*</Export-Package>
</instructions>
</configuration>"

sed -i "s|<version>%{version}-SNAPSHOT</version>|<version>%{version}</version>|" pom.xml
# remove shaded classifier
%pom_xpath_remove "pom:project/pom:dependencies/pom:dependency[pom:artifactId = 'reflectasm']/pom:classifier"

cp -p %{SOURCE1} .
sed -i 's/\r//' license.txt LICENSE-2.0.txt

%mvn_file :%{name} %{name}

%build

# Test on arm builder fails, see RHBZ#991712
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license license.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license license.txt LICENSE-2.0.txt

%changelog
* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 2.22-3
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 09 2013 gil cattaneo <puntogil@libero.it> 2.22-1
- update to 2.22

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 2.21-2
- switch to XMvn
- minor changes to adapt to current guideline

* Thu Mar 28 2013 gil cattaneo <puntogil@libero.it> 2.21-1
- update to 2.21

* Thu Aug 4 2011 gil <puntogil@libero.it> 1.04-mga1
- initial rpm
